uuid: 485f5a85-89f4-42e1-9ee6-33274b670bc1
langcode: en
status: true
dependencies:
  enforced:
    module:
      - rg_stores_import
id: rgs
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags: null
migration_group: 'Migrate stores'
label: 'Custom stores migration'
source:
  plugin: spreadsheet
  file: import/stores.xlsx
  worksheet: Sheet1
  origin: A2
  header_row: 1
  columns:
    - storeName
    - 'Tier Name'
    - storeDescription
    - storeAddress1
    - storeAddress2
    - storeAddress3
    - monday
    - tuesday
    - wednesday
    - thursday
    - friday
    - saturday
    - sunday
    - storePostcode
    - storeTelephone
    - storeEmail
    - storeManager
    - storeWebsite
    - assignedRegionName
    - Brand1
    - Brand2
    - Brand3
  row_index_column: 'Row no.'
  keys:
    storeID:
      type: string
      max_length: 32
    storeName:
      type: string
      max_length: 64
process:
  name:
    -
      plugin: skip_on_empty
      method: process
      source: storeName
    -
      plugin: default_value
      default_value: 'Store name'
  field_email: storeEmail
  field_store_description: storeDescription
  field_fake_description: storeDescription
  default-currency:
    plugin: default_value
    default_value: GBP
  address/country_code:
    plugin: default_value
    default_value: GB
  address/address_line1: storeAddress1
  address/address_line2: storeAddress2
  address/postal_code: storePostcode
  address/locality: storeAddress3
  field_location:
    plugin: geocodding_location
    source:
      - storeAddress1
      - storeAddress2
      - storeAddress3
      - storePostcode
  field_phone_number: storeTelephone
  field_storewebsite: storeWebsite
  uid:
    -
      plugin: migration_lookup
      migration: rgs_users
      no_stub: true
      source: storeEmail
    -
      plugin: default_value
      default_value: 1
  field_work_schedule/value:
    plugin: work_schedule
    source:
      - monday
      - tuesday
      - wednesday
      - thursday
      - friday
      - saturday
      - sunday
  field_work_schedule/format:
    plugin: default_value
    default_value: raw_html
  field_brand:
    -
      plugin: trim
      source:
        - Brand1
        - Brand2
        - Brand3
    -
      plugin: concat
      delimiter: ','
    -
      plugin: explode
      delimiter: ','
    -
      plugin: entity_generate
      value_key: name
      entity_type: taxonomy_term
      bundle_key: vid
      bundle: brands
  field_region:
    plugin: migration_lookup
    migration: rgs_region
    source: assignedRegionName
  field_tier_name:
    -
      plugin: trim
      source: 'Tier Name'
    -
      plugin: skip_on_empty
      method: process
    -
      plugin: entity_generate
      value_key: name
      entity_type: taxonomy_term
      bundle_key: vid
      bundle: store_tier_name
destination:
  plugin: 'entity:commerce_store'
  default_bundle: brand_store
  overwrite_properties:
    - field_region
migration_dependencies: null
